﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GridRemoveRowHighlight
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.InitializeRow += ultraGrid1_InitializeRow;
            this.ultraGrid1.BeforeRowActivate += ultraGrid1_BeforeRowActivate;
            
        }

        void ultraGrid1_BeforeRowActivate(object sender, Infragistics.Win.UltraWinGrid.RowEventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Override.ActiveRowAppearance.Reset();    
        
            ///Optional. Can keep the background color visible when the cell is in edit mode
            //this.ultraGrid1.DisplayLayout.Override.ActiveCellAppearance.Reset();

        }
        void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            e.Row.Cells[1].Appearance.BackColor = Color.Blue;
            e.Row.Cells[0].Appearance.BackColor = Color.Tomato;           
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = myData();
           this.ultraGrid1.DisplayLayout.SelectionOverlayColor = SystemColors.Highlight;
        }

        private object myData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Column1");
            dt.Columns.Add("Column2");

            for (int i = 0; i < 3; i++)
            {
                dt.Rows.Add();
            }

            return dt;
        }

      
      
    }
}
